clang-tools 6.0.0

Classes | Namespaces
SpecialMemberFunctionsCheck.h File Reference
`#include "../ClangTidy.h"`
`#include "llvm/ADT/DenseMapInfo.h"`
Include dependency graph for SpecialMemberFunctionsCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck
| Checks for classes where some, but not all, of the special member functions are defined. More...
struct | llvm::DenseMapInfo< clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::ClassDefId >
| Specialisation of DenseMapInfo to allow ClassDefId objects in DenseMaps FIXME: Move this to the corresponding cpp file as is done for clang-tidy/readability/IdentifierNamingCheck.cpp. More...

## Namespaces
| clang
| clang::tidy
| clang::tidy::cppcoreguidelines
| llvm